<?php
/**
 * Class that operate on table 'faida'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2020-09-12 16:51
 */
class FaidaMySqlExtDAO extends FaidaMySqlDAO{

    public function queryWithFaidaId($Faidaid) {
        $sql = 'SELECT *,client.clientname,store.storeName
		 FROM faida join client on faida.client_id = client.clientid join store on faida.store_id  = store.storeId  WHERE faida.id = ' . $Faidaid . '
                 order by faida.id asc';
//        echo $sql;
        $sqlQuery = new SqlQuery($sql);
        return $this->getRow($sqlQuery);
    }

    public function runSelectQuery($sql) {
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function queryAllByConditions(){
        $sql = 'SELECT * FROM faida where conditions = 0';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function queryAllByuserId(){
        $sql = 'SELECT * FROM faida where user_id ='.$_SESSION['userid'].' and  conditions = 0' ;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}
?>